import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//增
export async function httpAdd(data: object): Promise<DataType<any[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/videoAdd`, {
    data
  });
}
//删
export async function httpDelete(data: object): Promise<DataType<any[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/videoDelete`, {
    data
  });
}
//改
export async function httpUpdate(data: object): Promise<DataType<any[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/videoEdit`, {
    data
  });
}
//改状态
export async function httpStatus(data: object): Promise<DataType<any[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/videoChange`, {
    data
  });
}

//查详情
export async function httpDetail(data: object): Promise<DataType<any[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/videoRead`, {
    data
  });
}
//查列表
export async function httpList(data: object): Promise<DataType<any[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/videoList`, {
    data
  });
}
